← Tabelas
Limpar

Scotland

Women's West Region League Division 2

#TimePWDLPDBPPtsForma
1Marr RFC3300–315WWW
2Uddingston RFC4301–315WLWW
3Cartha Queens Park RFC (2nd XV)4202–311LWLW
4Irvine RFC3102–12LWL
5Strathaven RFC4004–00LLLL

Fonte: Scottish Rugby · verificado 14 de out., 16:52 · Forma: os cinco últimos resultados que temos, o mais recente à direita.

Jogos e resultados →

Cada tabela é a classificação publicada pela própria liga, com bônus, punições e critérios de desempate. BP aparece onde a liga publica; nas demais já está incluído em Pts.